Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.path
Class NameTest

    java.lang.Object
      org.basex.query.path.Test
          org.basex.query.path.NameTest

    public final class NameTest

extends Test

XQuery name test.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.path.Test
`Test.Kind`

Field Summary
`byte[]` | `ln` Local name.

Fields inherited from class org.basex.query.path.Test
`kind, name, NODE, type`

Constructor Summary
`NameTest(boolean att)` Empty Constructor ('*').
`NameTest(QNm nm, Test.Kind t, boolean att)` Constructor.

Method Summary
`boolean` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`boolean` | `eval(Nod node)` Tests the specified node.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.path.Test
`sameAs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ln

    public final byte[] ln

  Local name.

Constructor Detail

### NameTest

    public NameTest(boolean att)

  Empty Constructor ('*').

  Parameters:
    `att` - attribute flag

### NameTest

    public NameTest(QNm nm,
                    Test.Kind t,
                    boolean att)

  Constructor.

  Parameters:
    `nm` - name
    `t` - test type
    `att` - attribute flag

Method Detail

### eval

    public boolean eval(Nod node)
                 throws QueryException

  Description copied from class: `Test`
  Tests the specified node.

  Specified by:
    `eval` in class `Test`
  Parameters:
    `node` - temporary node
  Returns:
    result of check
  Throws:
    `QueryException` - query exception

### comp

    public boolean comp(QueryContext ctx)
                 throws QueryException

  Description copied from class: `Test`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `Test`
  Parameters:
    `ctx` - query context
  Returns:
    false if test always returns false
  Throws:
    `QueryException` - query exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD